StringRangeSet
Date: 2015-03-03

org.bson.util

## Class StringRangeSet

- java.lang.Object
- - org.bson.util.StringRangeSet

- All Implemented Interfaces:
    java.lang.Iterable<java.lang.String>, java.util.Collection<java.lang.String>, java.util.Set<java.lang.String>

      public class StringRangeSet
      extends java.lang.Object
      implements java.util.Set<java.lang.String>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringRangeSet(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(java.lang.String e)`
    `boolean` | `addAll(java.util.Collection<? extends java.lang.String> c)`
    `void` | `clear()`
    `boolean` | `contains(java.lang.Object o)`
    `boolean` | `containsAll(java.util.Collection<?> c)`
    `boolean` | `isEmpty()`
    `java.util.Iterator<java.lang.String>` | `iterator()`
    `boolean` | `remove(java.lang.Object o)`
    `boolean` | `removeAll(java.util.Collection<?> c)`
    `boolean` | `retainAll(java.util.Collection<?> c)`
    `int` | `size()`
    `java.lang.Object[]` | `toArray()`
    `<T> T[]` | `toArray(T[] a)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `equals, hashCode`

- - ### Constructor Detail

    - #### StringRangeSet

          public StringRangeSet(int size)

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `size` in interface `java.util.Set<java.lang.String>`

    - #### iterator

          public java.util.Iterator<java.lang.String> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<java.lang.String>`
      Specified by:
        `iterator` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `iterator` in interface `java.util.Set<java.lang.String>`

    - #### add

          public boolean add(java.lang.String e)

      Specified by:
        `add` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `add` in interface `java.util.Set<java.lang.String>`

    - #### addAll

          public boolean addAll(java.util.Collection<? extends java.lang.String> c)

      Specified by:
        `addAll` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `addAll` in interface `java.util.Set<java.lang.String>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `clear` in interface `java.util.Set<java.lang.String>`

    - #### contains

          public boolean contains(java.lang.Object o)

      Specified by:
        `contains` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `contains` in interface `java.util.Set<java.lang.String>`

    - #### containsAll

          public boolean containsAll(java.util.Collection<?> c)

      Specified by:
        `containsAll` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `containsAll` in interface `java.util.Set<java.lang.String>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `isEmpty` in interface `java.util.Set<java.lang.String>`

    - #### remove

          public boolean remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `remove` in interface `java.util.Set<java.lang.String>`

    - #### removeAll

          public boolean removeAll(java.util.Collection<?> c)

      Specified by:
        `removeAll` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `removeAll` in interface `java.util.Set<java.lang.String>`

    - #### retainAll

          public boolean retainAll(java.util.Collection<?> c)

      Specified by:
        `retainAll` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `retainAll` in interface `java.util.Set<java.lang.String>`

    - #### toArray

          public java.lang.Object[] toArray()

      Specified by:
        `toArray` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `toArray` in interface `java.util.Set<java.lang.String>`

    - #### toArray

          public <T> T[] toArray(T[] a)

      Specified by:
        `toArray` in interface `java.util.Collection<java.lang.String>`
      Specified by:
        `toArray` in interface `java.util.Set<java.lang.String>`